View Revisions: Issue #4460

Summary 0004460: Draft Upgrade - Incorrect result
Revision 2020-10-15 18:43 by hardrock
Additional Information Report

21:40:40 ----------------
21:40:40 GuiCommand: Upgrade
21:40:40 ----------------
21:40:40 Upgrade objects
21:40:40 Found several coplanar objects or faces: creating one face]21:40:40 ----------------
21:40:40 GuiCommand: Upgrade
21:40:40 ----------------
21:40:40 Upgrade objects
21:40:40 Found several coplanar objects or faces: creating one face


Console
Python 3.6.9 (default, Apr 18 2020, 01:56:04)
[GCC 8.4.0] on linux
Type 'help', 'copyright', 'credits' or 'license' for more information.
>>> # Gui.Selection.addSelection('bug_draft_upgrade_failed','Part__Feature')
>>> # Gui.Selection.addSelection('bug_draft_upgrade_failed','Part__Feature001')
>>> Gui.runCommand('Draft_Upgrade',0)
>>> _objs_ = Draft.upgrade(FreeCADGui.Selection.getSelection(), delete=True)
>>> # Gui.Selection.addSelection('bug_draft_upgrade_failed','Union')
>>> FreeCAD.ActiveDocument.recompute()
>>>
Revision 2020-10-15 18:42 by hardrock
Additional Information Report

[quote=21:40:40 ----------------
21:40:40 GuiCommand: Upgrade
21:40:40 ----------------
21:40:40 Upgrade objects
21:40:40 Found several coplanar objects or faces: creating one face]21:40:40 ----------------
21:40:40 GuiCommand: Upgrade
21:40:40 ----------------
21:40:40 Upgrade objects
21:40:40 Found several coplanar objects or faces: creating one face
[/quote]

Console
[quote=Python 3.6.9 (default, Apr 18 2020, 01:56:04)
[GCC 8.4.0] on linux
Type 'help', 'copyright', 'credits' or 'license' for more information.
>>> # Gui.Selection.addSelection('bug_draft_upgrade_failed','Part__Feature')
>>> # Gui.Selection.addSelection('bug_draft_upgrade_failed','Part__Feature001')
>>> Gui.runCommand('Draft_Upgrade',0)
>>> _objs_ = Draft.upgrade(FreeCADGui.Selection.getSelection(), delete=True)
>>> # Gui.Selection.addSelection('bug_draft_upgrade_failed','Union')
>>> FreeCAD.ActiveDocument.recompute()
>>>][/quote]
Revision 2020-10-15 18:42 by hardrock
Additional Information Report

[quote=21:40:40 ----------------
21:40:40 GuiCommand: Upgrade
21:40:40 ----------------
21:40:40 Upgrade objects
21:40:40 Found several coplanar objects or faces: creating one face]21:40:40 ----------------
21:40:40 GuiCommand: Upgrade
21:40:40 ----------------
21:40:40 Upgrade objects
21:40:40 Found several coplanar objects or faces: creating one face
[/quote]

Console
[quote=Python 3.6.9 (default, Apr 18 2020, 01:56:04)
[GCC 8.4.0] on linux
Type 'help', 'copyright', 'credits' or 'license' for more information.
>>> # Gui.Selection.addSelection('bug_draft_upgrade_failed','Part__Feature')
>>> # Gui.Selection.addSelection('bug_draft_upgrade_failed','Part__Feature001')
>>> Gui.runCommand('Draft_Upgrade',0)
>>> _objs_ = Draft.upgrade(FreeCADGui.Selection.getSelection(), delete=True)
>>> # Gui.Selection.addSelection('bug_draft_upgrade_failed','Union')
>>> FreeCAD.ActiveDocument.recompute()
>>>][/quote]